# Uses of Class
net.shibboleth.idp.attribute.filter.policyrule.filtercontext.impl.ProfilePolicyRule

Packages that use ProfilePolicyRule
Package
Description
net.shibboleth.idp.attribute.filter.spring.policyrule.impl
This is where the parsers for filters that are natural policy rules (that is to make their decisions based on the context, not the attribute values are implemented.

## Uses of ProfilePolicyRule in net.shibboleth.idp.attribute.filter.spring.policyrule.impl

Methods in net.shibboleth.idp.attribute.filter.spring.policyrule.impl that return types with arguments of type ProfilePolicyRule
Modifier and Type
Method
Description
`protected Class<ProfilePolicyRule>`
ProfileRuleParser.`getNativeBeanClass()`
Method return the native Matcher implementation.